<template>
    <div class="report-overview fullpage">
        <el-table style="margin: 10PX" height="calc(100% - 60PX)" align="center" :data="tableData"
            id="mix-table-bigger-preview" class="dialog_table quxian" :cell-style="{ 'text-align': 'center' }"
            :header-cell-style="{ 'text-align': 'center' }" v-loading="loading" :element-loading-background="loadingColor">
            <el-table-column prop="indexName" :label="`指标设置\n（共11项）`" min-width="110">
                <template v-slot="{ row }">
                    <div class="inner-td-center" v-html="row.indexName"></div>
                </template>
            </el-table-column>
            <el-table-column prop="rules" label="评价细则" min-width="300">
                <template v-slot="{ row }">
                    <div class="inner-td" v-html="row.rules"></div>
                </template>
            </el-table-column>
            <el-table-column label="分档方式" min-width="140">
                <template>
                    <span class="inner-td-center">按照A、B、C、D四档分别赋分3分、1分、-1分、-3分</span>
                </template>
            </el-table-column>
            <el-table-column label="晾晒周期" min-width="60">
                <template v-slot="{ row }">
                    <span class="inner-td-center">{{ row.lszq || '季度' }}</span>
                </template>
            </el-table-column>
            <!-- <el-table-column label="目标值类型">
                <el-table-column label="全市统一目标" min-width="100">
                    <template><span class="inner-td-center">－</span></template>
                </el-table-column>
                <el-table-column label="分解到区县目标" min-width="100">
                    <template><span class="inner-td-center">－</span></template>
                </el-table-column>
            </el-table-column> -->
            <el-table-column label="区县覆盖情况" min-width="100">
                <template v-slot="{row}">
                    <span class="inner-td-center">
                        {{row.indexName === '制造业“亩均论英雄”改革进展' ? "除渝中区外的40个区县" : "全覆盖"}}
                    </span>
                </template>
            </el-table-column>
            <el-table-column prop="dataResource" label="数据来源单位" min-width="140">
                <template v-slot="{ row }">
                    <div class="inner-td-center" v-html="row.dataResource"></div>
                </template>
            </el-table-column>
        </el-table>
        <!-- <div class="tips">注：改革报表共有指标11项，季度固定晾晒9项。</div> -->
    </div>
</template>

<script>
export default {
    name: 'indexSystem',
    props: {
        tableOptions: {
            type: Object,
            default: () => {
                return {}
            },
        },
    },
    data() {
        return {
            tableData: [
                {
                    indexName: '数字重庆建设进展',
                    dataResource: `市委组织部、市委改革办`,
                    rules: `①评价开发上线特色应用数、“三张清单”查重通过数、列入区县“一件事”名录库个数、区县一体化治理智治平台试点使用率4项内容，按50∶20∶10∶20分配权重，满分100分。<br/>
②单项指标得分=（区县实际值-指标最小值）/（指标最大值-指标最小值）*40+60。总分=∑单项指标得分*权重。`,
                },
                {
                    indexName: '国企改革进展',
                    dataResource: `市国资委`,
                    rules: `①评价区县国企全员劳动生产率、固定资产投资额及增速、现金流动负债比率、两金占流动资产比重4项内容，按25∶25∶25∶25分配权重，满分100分。<br/>
                            ②单项指标得分=（区县实际值-指标最小值）/（指标最大值-指标最小值）*40+60。总分=∑单项指标得分*权重。<br/>
                            ③其中，全员劳动生产率=劳动生产总值/本年平均从业人员人数，劳动生产总值=劳动者报酬+固定资产折旧+生产税净额+营业盈余；固定资产投资额及增速各占50%，加权计算出单项指标得分，增速设上下限，超过正负100%后均以100%计算，100%以内按实际值计算；现金流动负债比率=经营活动产生的现金流量净额/年末流动负债*100%；两金占流动资产比重=（应收账款+存货）/流动资产*100%。<br/>
                            ④债务率红色区域的区县采取总分降低5个百分点的方式计算最终得分。`,
                },
                {
                    indexName: '制造业“亩均论英雄”改革进展',
                    dataResource: `市经济信息委<br/>
市生态环境局<br/>
市统计局<br/>
重庆市税务局`,
                    rules: `①评价区县制造业规上工业亩均税收、亩均增加值、单位能耗增加值3项内容，按50∶35∶15分配权重，满分100分。<br/>
②其中，亩均税收=税收收入/用地面积，亩均增加值=增加值/用地面积，单位能耗增加值=增加值/总用能（能源消费总量）。<br/>
③采用功效系数法对3项指标设置优、较优、一般三类评价档次，每档标准值分别为该项指标的最大值、平均值、最小值（大于零），每档标准系数分别为1.0、0.9、0.8。单项指标得分=本档基础分+调整分，本档基础分=指标权数×本档标准系数，调整分=（指标实际值-本档标准值）/（上档标准值-本档标准值）×（上档基础分-本档基础分），上档基础分=指标权数×上档标准系数。总分=∑单项指标得分。`,
                },
                {
                    indexName: '建立企业上市助推机制进展',
                    dataResource: `市金融监管局`,
                    rules: `评价区县当年新增企业上市（过会）数、申报IPO数、辅导备案数、上市企业再融资家数、新三板挂牌比重、重庆OTC挂牌比重、市级拟上市企业入库比重7项内容，按10∶6∶4∶5∶2∶1∶0.2分配权重，以实际数计算总分。`,
                },
                {
                    indexName: '打造“信用重庆”升级版进展',
                    dataResource: `市发展改革委`,
                    rules: `①评价区县公共信用信息归集治理、守信激励与失信惩戒、以信用为基础的新型监管3项内容，按27：53：20分配权重，满分100分。<br/>
②3项内容由多个细化指标构成。`,
                },
                {
                    indexName: '正在推进中的国家改革试点项目数',
                    dataResource: `各区县、各试点主管市级部门（市委改革办负责审核）`,
                    rules: `评价区县正在推进中的国家改革试点项目数量，包括：<br/>
①党中央、国务院或中办、国办批复部署。<br/>
②中央和国家有关部委（含司局级）安排部署。<br/>
③全国人大常委会授权部署。`,
                },
                //                 {
                //                     indexName: '承接市级试点项目数',
                //                     dataResource: `各区县、各试点主管部门<br/>（市委改革办负责审核）`,
                //                     rules: `
                // 1.党的十九大以来新承接的试点和继续开展的试点数量，包括市委、市政府、市委深改委、市委办公厅、市政府办公厅、市级有关部门安排部署。
                // <br/>
                // 2.将各区县拉通进行排序，设置成五档。
                // `,
                //                 },
                {
                    indexName: '承接的国家级<br/>试点按时通过验收率',
                    dataResource: `各区县、各试点主管市级部门（市委改革办负责审核）`,
                    rules: `①评价区县承接国家级改革试点的完成情况。<br/>
②验收通过率=（市委改革办审核通过的已验收改革试点数量）/（市级部门分发的基础信息中结束时间为本季度前的改革试点数量+未到结束时间但已提前验收的改革试点数量+试点期限为长期但现已验收的改革试点数量）*100%。<br/>
③因“不属于改革试点项目”“不符合报表计分条件”这两种类型被驳回的，不纳入验收通过率计算。`,
                },
                {
                    indexName: '新增国家改革试点<br/>项目数',
                    dataResource: `各区县、各试点主管市级部门（市委改革办负责审核）`,
                    rules: '评价区县新争取国家级改革试点的项目数量。',
                },
                {
                    indexName: '改革经验<br/>获全国性肯定评价',
                    dataResource: `各区县<br/>（市委改革办负责审核）`,
                    rules: `区县改革工作在国家层面获得肯定的情况，具体包括：<br/>
①获党和国家领导人肯定性批示。<br/>
    ②在党和国家领导人出席的全国性会议上作经验交流。<br/>
    ③获党中央、国务院或中办、国办发文通报表彰。<br/>
    ④在党中央、国务院或中办、国办、部委文件中得到肯定性表述。<br/>
    ⑤在中央和国家有关部委主要领导出席的全国性会议上作经验交流。<br/>
    ⑥中央和国家有关部委发文明确向全国复制推广。`,
                },
                {
                    indexName: '改革经验获全市推广',
                    dataResource: `各区县<br/>（市委改革办负责审核）`,
                    rules: `评价区县改革首创和全市推广的情况，分为三类。<br/>&nbsp;&nbsp;&nbsp;&nbsp;
                            第一类按实际次数×10计算，包括：
                            ①改革经验被列入市委“最佳实践”案例。
                            ②获市委、市政府主要领导肯定性批示。
                            ③在有市委、市政府主要领导出席的全市性会议上作经验交流。<br/>&nbsp;&nbsp;&nbsp;&nbsp;
第二类按实际次数×5计算，包括：①获主要领导之外的市领导肯定性批示（本单位主要领导是市领导的情况除外）。②在本区县召开有主要领导之外的市领导参加的全市性改革经验现场推广会。③获市委、市政府（含市委办公厅、市政府办公厅）文件点名推广。④获市委改革办《改革工作简报》刊载推广。<br/>&nbsp;&nbsp;&nbsp;&nbsp;
第三类按实际次数计算，包括：①在本区县召开有市级部门主要负责人参加的全市性改革经验现场推广会。②获市级部门文件点名推广。③获市委改革办《改革要情》刊载推广。
`,
                },
                //                 {
                //                     indexName: '改革经验被5家<br/>中央媒体深度专题报道',
                //                     dataResource: `各区县<br/>（市委改革办负责审核）`,
                //                     rules: `
                // 1.具体情形包括：①《人民日报》《光明日报》《经济日报》单篇报道。②新华社主办、主管的《半月谈》《瞭望》《国内动态清样》《内部参考》《高管信息》等5家纸质期刊单篇刊载。③中央广播电视总台单条播报。
                // <br/>
                // 2.将各区县拉通进行排序，设置成五档。
                // `,
                //                 },
                {
                    indexName: '社情民意电话<br/>调查满意度',
                    dataResource: '市统计局',
                    rules: `评价区县改革惠民有感情况。由市社情民意调查中心每季度开展一次区县改革满意度调查。`,
                },
            ],
        }
    },
    mounted() { },
    methods: {},
}
</script>

<style lang="scss">
.report-overview.fullpage {
    width: 100%;
    height: 100%;

    .tips {
        font-size: 16PX;
    }

    .inner-td {
        text-align: justify;
        line-height: 140%;
        font-size: 18PX;
    }

    .inner-td-center {
        text-align: center;
        line-height: 140%;
        font-size: 18PX;
    }

}

.download.el-button {
    margin: 10PX 0;
}

// .report-overview {
//     height: 700PX;
// }
#mix-table-bigger-preview .el-table--border th,
.el-table--border td {
    border-right: 1PX solid rgb(39, 86, 162) !important;
}

#mix-table-bigger-preview.el-table th.el-table__cell.is-leaf,
#mix-table-bigger-preview.el-table td.el-table__cell {
    border-bottom: 1PX solid rgb(39, 86, 162) !important;
}

#mix-table-bigger-preview.el-table th.el-table__cell>.cell {
    white-space: pre;
}

#mix-table-bigger-preview.dialog_table.el-table {
    background-color: rgba(1, 39, 101, 1) !important;
    // tr {
    //     background-color: rgba(1, 39, 101, 1)!important;
    //     color: #FFFFFF!important;
    // }
    // tr:nth-of-type(2n+1){
    //     background-color: rgb(3, 45, 113)!important;
    //     color: #FFFFFF!important;
    // }

    thead tr {
        background: none !important;
    }

    thead tr,
    thead tr th,
    .el-table__empty-block {
        background: none !important;
        background-color: #114385 !important;
        color: #ffffff;
    }

    th>.cell {
        font-size: 16PX;
        font-family: SimHei;
        font-weight: 400;
        color: #ffffff;
    }

    td>.cell {
        color: #ffffff !important;
    }

    td.el-table__cell div {
        font-size: 18PX;
    }
}

#mix-table-bigger-preview.el-table--border {
    border: 1PX solid rgb(39, 86, 162) !important;

    .el-table__cell {
        border-right: 1PX solid rgb(39, 86, 162) !important;
    }

    th.el-table__cell {
        border-bottom: 1PX solid rgb(39, 86, 162) !important;
    }

    td {
        border-right: 1PX solid rgb(39, 86, 162) !important;
    }

    th {
        border-right: 1PX solid rgb(39, 86, 162) !important;
    }
}

#mix-table-bigger-preview.el-table {
    tr {
        background-color: rgba(1, 39, 101, 1) !important;
        color: #ffffff !important;
    }
}

#mix-table-bigger-preview.el-table--enable-row-hover .el-table__body tr:hover>td.el-table__cell {
    background-color: rgba(2, 115, 233, 0.3) !important;
}

#mix-table-bigger-preview.el-table.el-table--border tbody tr:hover>td {
    background-color: rgba(2, 115, 233, 0.3) !important;
}

#mix-table-bigger-preview.el-table--group::after,
#mix-table-bigger-preview.el-table--border::after,
#mix-table-bigger-preview.el-table::before {
    background-color: #001f47 !important;
}

#mix-table-bigger-preview {

    /* 设置滚动条的样式 */
    ::-webkit-scrollbar {
        width: 8PX !important; //垂直方向上的宽
        height: 8PX !important; //水平方向上的宽
    }

    /* 滚动槽 */
    ::-webkit-scrollbar-track {
        border-radius: 0;
        background-color: #01215a !important;
    }

    /* 滚动条滑块 */
    ::-webkit-scrollbar-thumb {
        border-radius: 6PX;
        background-color: rgba(#fff, 0.1) !important;
    }

    /*滚动条交叉样式*/
    ::-webkit-scrollbar-corner {
        background: #01215a !important;
    }
}

.level {
    width: 26PX;
    height: 26PX;
    border-radius: 13PX;
    line-height: 26PX;
    text-align: center;
    font-size: 18PX;
    font-family: SimHei;
    font-weight: 400;
    color: #ffffff;
    display: inline-block;
    transition: all 0.2s;
    transform-origin: 50% 50%;
}

.levelA {
    background-color: #398C8F !important;
    font-weight: bold;
    color: #ffffff !important;
}

.levelB {
    background-color: #1970C1 !important;
    font-weight: bold;
    color: #ffffff !important;
}

.levelC {
    background-color: #A3A355 !important;
    font-weight: bold;
    color: #ffffff !important;
}

.levelD {
    background-color: #B0825C !important;
    font-weight: bold;
    color: #ffffff !important;
}

.levelE {
    background-color: #9B4E55 !important;
    font-weight: bold;
    color: #ffffff !important;
}

.btn-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.btn-group {
    display: flex;
    justify-content: space-evenly;
    align-items: center;
}

.btn-group .level {
    cursor: pointer;
    color: #666;
    font-weight: normal;
}

.btn-group .level.active {
    width: 30PX;
    height: 30PX;
    border-radius: 15PX;
    line-height: 30PX;
    font-weight: bold;
}

.level-wrapper {
    width: 34PX;
    height: 34PX;
    line-height: 34PX;
    margin-right: 20PX;
}
</style>
